> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user resources

> List available data resources for the authenticated user, showing which providers and data types are accessible.

## Overview

Diagnose user data unavailability through the User Resources Introspection API.

This API offers detailed insights into all provider connections and collected resources of all users in your team, empowering you to perform an initial diagnosis of any user connection issue with ease.

<Warning>
  Please note that `user_limit` is an upper bound and the endpoint can return data for fewer users.
  This would be the case if any of the top selected users had no available resource information.
</Warning>


## OpenAPI

````yaml GET /v2/introspect/resources
openapi: 3.1.0
info:
  title: Junction API
  description: https://docs.junction.com/
  version: 0.4.483
servers:
  - url: https://api.us.junction.com
    x-fern-server-name: Production
  - url: https://api.eu.junction.com
    x-fern-server-name: ProductionEU
  - url: https://api.sandbox.us.junction.com
    x-fern-server-name: Sandbox
  - url: https://api.sandbox.eu.junction.com
    x-fern-server-name: SandboxEU
security:
  - apiKeyAuth: []
paths:
  /v2/introspect/resources:
    get:
      tags:
        - introspect
      summary: Introspect Resources
      operationId: introspect_resources_v2_introspect_resources_get
      parameters:
        - name: user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Filter by user ID.
            title: User Id
          description: Filter by user ID.
        - name: provider
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/Providers'
              - type: 'null'
            title: Provider
        - name: user_limit
          in: query
          required: false
          schema:
            type: integer
            default: 50
            title: User Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            deprecated: true
            title: Cursor
          deprecated: true
        - name: next_cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Next Cursor
            description: >-
              The cursor for fetching the next page, or `null` to fetch the
              first page.
          description: >-
            The cursor for fetching the next page, or `null` to fetch the first
            page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResourcesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Providers:
      type: string
      enum:
        - oura
        - fitbit
        - garmin
        - whoop
        - strava
        - renpho
        - peloton
        - wahoo
        - zwift
        - freestyle_libre
        - abbott_libreview
        - tandem_source
        - freestyle_libre_ble
        - eight_sleep
        - withings
        - apple_health_kit
        - manual
        - ihealth
        - google_fit
        - beurer_api
        - beurer_ble
        - omron
        - omron_ble
        - onetouch_ble
        - accuchek_ble
        - contour_ble
        - dexcom
        - dexcom_v3
        - hammerhead
        - my_fitness_pal
        - health_connect
        - samsung_health
        - polar
        - cronometer
        - kardia
        - whoop_v2
        - ultrahuman
        - my_fitness_pal_v2
        - map_my_fitness
        - runkeeper
      title: Providers
      description: ℹ️ This enum is non-exhaustive.
    UserResourcesResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/SingleUserResourceResponse'
          type: array
          title: Data
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
          deprecated: true
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: >-
            The cursor for fetching the next page, or `null` to fetch the first
            page.
      type: object
      required:
        - data
        - next
        - next_cursor
      title: UserResourcesResponse
      example:
        data:
          - provider:
              fitbit:
                activity:
                  last_attempt:
                    status: success
                    timestamp: '2023-10-24T13:13:27+00:00'
                  newest_data: '2023-10-24T00:00:00+00:00'
                  oldest_data: '2023-06-21T00:00:00+00:00'
                  sent_count: 231
            user_id: ''
    HTTPValidationError:
      properties:
        detail:
          title: Detail
      type: object
      title: HTTPValidationError
    SingleUserResourceResponse:
      properties:
        user_id:
          type: string
          format: uuid
          title: User Id
        provider:
          additionalProperties:
            additionalProperties:
              $ref: '#/components/schemas/SingleResourceStatistics'
            propertyNames:
              $ref: '#/components/schemas/Resource'
            type: object
          propertyNames:
            $ref: '#/components/schemas/Providers'
          type: object
          title: Provider
      type: object
      required:
        - user_id
        - provider
      title: SingleUserResourceResponse
    SingleResourceStatistics:
      properties:
        last_attempt:
          anyOf:
            - $ref: '#/components/schemas/LastAttempt'
            - type: 'null'
        oldest_data:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Oldest Data
        newest_data:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Newest Data
        sent_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Sent Count
      type: object
      title: SingleResourceStatistics
    LastAttempt:
      properties:
        timestamp:
          type: string
          format: date-time
          title: Timestamp
        status:
          $ref: '#/components/schemas/AttemptStatus'
          description: ℹ️ This enum is non-exhaustive.
      type: object
      required:
        - timestamp
        - status
      title: LastAttempt
    AttemptStatus:
      type: string
      enum:
        - success
        - failure
      title: AttemptStatus
      description: ℹ️ This enum is non-exhaustive.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-vital-api-key
      description: Vital Team API Key

````